/*==========================================================
Script by jin-ren
　クリップボードから作成
　Sleipnir自体の「クリップボードから作成」は改行を無視
　しますが、改行を無視せず複数サイトある場合は全てを開きます。
　
　ただし、「http://」で始まっていないサイトは無視します。
　無条件に全てを開きたい場合は
　　if(!strsplit[i].match(/〜
　の一文を削除もしくはコメントアウトして下さい。
                                                2002/09/08
==========================================================*/
  var obj, document, window, id, str ,strsplit;

  obj = new ActiveXObject("Sleipnir.API");
  id = obj.GetDocumentID(obj.ActiveIndex);
  document = obj.GetDocumentObject(id);
  window = obj.GetWindowObject(id);

  if (document == null)
  {
    obj.MessageBox("Document を作成できません");
  }
  else
  {
    str = window.clipboardData.getData("text");
    strsplit = str.split("\n");
    for(i=0;i<strsplit.length;i++){
      if(!strsplit[i].match(/http\:\/\/*/)){continue;}
      obj.NewWindow(strsplit[i],false);
    }

    document = null;
  }
  obj.beep();
  window = null;
  obj = null;
